﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace DiagramTest
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			//ColumnMappingSourceViewModel columnMappingsourceVM = new ColumnMappingSourceViewModel();
			RadDiagramContainerShape cc = new RadDiagramContainerShape();
			cc.IsCollapsible = true;
			cc.Padding = new Thickness(5, 5, 5, 5);
			cc.Content = "Extract Columns";
			cc.UseDefaultConnectors = false;
			LoadChildren(cc);
			cc.Name = "SourceContainer";
			cc.ZIndex = 1;

			diagram.AddShape(cc);

			////ColumnMappingDestinationViewModel columnMappingDestinationVM = new ColumnMappingDestinationViewModel();

			RadDiagramContainerShape cc2 = new RadDiagramContainerShape();
			cc2.Name = "DestinationContainer";
			cc2.IsCollapsible = true;
			cc2.Padding = new Thickness(5, 5, 5, 5);
			cc2.Content = "Maps To Columns";
			cc2.Position = new Point(300, 0);
			LoadChildren(cc2);
			//cc2.ItemsSource = columnMappingDestinationVM.TreeItems;
			cc2.UseDefaultConnectors = false;
			cc2.ZIndex = 1;

			diagram.AddShape(cc2);
		}

		private void LoadChildren(RadDiagramContainerShape cc)
		{
			for (int i = 0; i < 10; i++)
			{
				cc.Items.Add(new RadDiagramShape() { Content = "This is a child of " + cc.Content, Position = new Point(cc.Position.X, cc.Position.Y + i * 50) });
			}
		}
	}
}
